# M17UF2R1-OlidAlejandro

```
# ROGUE CHAPUZAS

```

## Temática:
Quieres irte rapido a casa a jugar al Hades, para ello ayuda al equipo de obreros de tu padre.


## Inputs through new Unity's Input System: 
- Movement 
[WASD /Left Joystick]
- Aim 
[Mouse / Right Joystick]
- Shoot 
[Left Click / West Button] 
- Dash (displacement and immunity)
 [Space / South Button]
- Tracking of enemies to the player

## Scenes
- Start (Menu)
- Dungeon
- Test Store
- Result (Menu)

## Actions:
- Weapon change
- Ranged attack
- Reload (automatic)
- Destroy LootBoxes
- Enemy elimination
- Pick up objects from the ground

## Enemies: 
Pursuer and turret

## Mechanics:
- Spawn of random waves of enemies, controlled by a time and cost/enemy system.
- Spawn of Loot when eliminating enemies or LootBoxes.
- Victory condition: Eliminate all enemies.
- Defeat condition: Character health at 0.
- Limited ammo.
- Weapon CoolDown.

## HUD:
- Health Bar
- Enemies Defeated 
- Coins

## Scenary 
Made by TileMaps, with destructible and non destructible elements.
3 Types of rooms + store

## Herencia:
Characters, weapons y Loot

## Items:
- LootBoxes (Spawn de LootPrefabs aleatorios)
- LootPrefabs
- Weapon Holder
- Weapons Bullets

## Scriptable Objects:
- Character: Player and Enemies
- Weapons
- Bullets
- Loot

## GameManager:
Controlling winning and death´s condition.

## AudioManager:
Controlling Audio Settings, audio mixer and audio implementation

## DataManager:
Controlling data persistence and load data from disk

## UIManager:
Change Value stats on UI

## Class Diagram:
![Class Diagram](https://gitlab.com//alejandro.olid.7e5/M17UF2R1-OlidAlejandro/main/M17UF2R1-OlidAlejandro/Assets/.png)

